% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot-utils.R
\name{construct_color_scales}
\alias{construct_color_scales}
\title{Construct color scales for summary plot}
\usage{
construct_color_scales(
  plot_data,
  comedication_count_colors = NULL,
  medication_frequency_colors = NULL,
  timing_atc_group_colors = NULL
)
}
\arguments{
\item{plot_data}{A data frame with the plot data.}

\item{comedication_count_colors}{A character vector with the colors for the
comedication count.}

\item{medication_frequency_colors}{A character vector with the colors for the
medication frequency.}

\item{timing_atc_group_colors}{A character vector with the colors for the
ATC groups.}
}
\value{
A list with the color scales:
\itemize{
\item \code{comedication_count_colors} a character vector with the colors for the
comedication count.
\item \code{medication_frequency_colors} a character vector with the colors for the
medication frequency.
\item \code{medication_frequency_linetype} a numeric vector with the linetypes for the
medication frequency.
\item \code{timing_atc_group_colors} a character vector with the colors for the ATC
groups.
}
}
\description{
The \code{construct_color_scales()} function constructs the color scales for the
summary plot.
}
\keyword{internal}
